%define oname ppx_here

Name:           ocaml-%{oname}
Epoch:          1
Version:        0.15.0
Release:        %mkrel 4
Summary:        Expands here into its location

Group:          Development/OCaml
License:        ASL 2.0
URL:            https://github.com/janestreet/%{oname}
Source0:        https://github.com/janestreet/%{oname}/archive/v%{version}.tar.gz

BuildRequires:  ocaml >= 4.04.2
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-base-devel >= 0.15
BuildRequires:  ocaml-dune >= 2.0.0
BuildRequires:  ocaml-ppxlib-devel >= 0.15.0

%description
Ppx_here is a ppx rewriter that defines an extension node whose value is
its source position.
Expands [%here] into its location

Part of the Jane Street's PPX rewriters collection.


%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{oname}-%{version}

%build
dune build --verbose -p %{oname} %_smp_mflags

%install
dune install --destdir=%{buildroot}
rm -rf %buildroot/usr/doc

%files
%doc LICENSE.md CHANGES.md
%dir %{_libdir}/ocaml/%{oname}
%{_libdir}/ocaml/%{oname}/META
%{_libdir}/ocaml/%{oname}/*dune*
%{_libdir}/ocaml/%{oname}/*.cmi
%{_libdir}/ocaml/%{oname}/*.cma
%{_libdir}/ocaml/%{oname}/*.a
%{_libdir}/ocaml/%{oname}/*.cmxa
%{_libdir}/ocaml/%{oname}/*.cmxs
%{_libdir}/ocaml/%{oname}/*.exe
%dir %{_libdir}/ocaml/%{oname}/*/
%{_libdir}/ocaml/%{oname}/*/*.cmi
%{_libdir}/ocaml/%{oname}/*/*.cma
%{_libdir}/ocaml/%{oname}/*/*.a
%{_libdir}/ocaml/%{oname}/*/*.cmxa
%{_libdir}/ocaml/%{oname}/*/*.cmxs

%files devel
%{_libdir}/ocaml/%{oname}/opam
%{_libdir}/ocaml/%{oname}/*.cmt
%{_libdir}/ocaml/%{oname}/*.cmti
%{_libdir}/ocaml/%{oname}/*.cmx
%{_libdir}/ocaml/%{oname}/*.ml*
%{_libdir}/ocaml/%{oname}/*/*.cmt
%{_libdir}/ocaml/%{oname}/*/*.cmti
%{_libdir}/ocaml/%{oname}/*/*.cmx
%{_libdir}/ocaml/%{oname}/*/*.ml*




%changelog
* Sun Dec 11 2022 pterjan <pterjan> 1:0.15.0-4.mga9
+ Revision: 1920625
- Rebuild for new ppxlib

* Sun Oct 09 2022 pterjan <pterjan> 1:0.15.0-3.mga9
+ Revision: 1895935
- Rebuild for new ocaml-ppxlib

* Thu May 19 2022 pterjan <pterjan> 1:0.15.0-2.mga9
+ Revision: 1859298
- Rebuild for OCaml 4.14

* Fri May 13 2022 pterjan <pterjan> 1:0.15.0-1.mga9
+ Revision: 1857920
- Update to 0.15.0

* Tue Apr 05 2022 umeabot <umeabot> 1:0.14.0-5.mga9
+ Revision: 1844582
- Mageia 9 Mass Rebuild

* Wed Oct 13 2021 tv <tv> 1:0.14.0-4.mga9
+ Revision: 1751237
- Rebuild for ocaml 4.13.1

* Wed Oct 13 2021 tv <tv> 1:0.14.0-3.mga9
+ Revision: 1751059
- Rebuild for ocaml 4.13.1

* Sat Mar 20 2021 tv <tv> 1:0.14.0-2.mga9
+ Revision: 1706119
- Rebuild dor ocaml-ppxlib

* Sat Mar 20 2021 tv <tv> 1:0.14.0-1.mga9
+ Revision: 1705831
- Rebuild dor ocaml-ppxlib

* Fri Mar 05 2021 tv <tv> 1:0.14.0-0.mga9
+ Revision: 1699864
- 0.14.0

* Sun Jan 10 2021 pterjan <pterjan> 1:0.13.0-5.mga8
+ Revision: 1670780
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 1:0.13.0-4.mga8
+ Revision: 1551810
- Rebuild for ocaml 4.10.0 final

* Thu Feb 20 2020 umeabot <umeabot> 1:0.13.0-3.mga8
+ Revision: 1545874
- Mageia 8 Mass Rebuild

* Thu Jan 30 2020 tv <tv> 1:0.13.0-2.mga8
+ Revision: 1485333
- rebuild for new ocaml-stdio

* Mon Jan 27 2020 tv <tv> 1:0.13.0-1.mga8
+ Revision: 1483839
- new release + rebuild for ocaml-4.10

* Tue Oct 23 2018 pterjan <pterjan> 1:0.11.0-1.mga7
+ Revision: 1324647
- Update to 0.11.0

* Thu Aug 30 2018 daviddavid <daviddavid> 1:0.10.0-3.mga7
+ Revision: 1255610
- rebuild for new ocaml-result 1.3

* Thu Jul 05 2018 daviddavid <daviddavid> 1:0.10.0-2.mga7
+ Revision: 1241938
- rebuild against current ocaml stack
- enable debug package as it should

* Sun Jan 14 2018 pterjan <pterjan> 1:0.10.0-1.mga7
+ Revision: 1193256
- Update to v0.10.0
+ tv <tv>
- rebuild for new ocaml

* Thu Nov 24 2016 neoclust <neoclust> 113.24.00-3.mga6
+ Revision: 1069782
- Rebuild against fixed ocaml

* Fri Feb 19 2016 pterjan <pterjan> 113.24.00-2.mga6
+ Revision: 967587
- Fix BuildRequires

* Fri Feb 19 2016 pterjan <pterjan> 113.24.00-1.mga6
+ Revision: 967583
- Drop percent from summary
- imported package ocaml-ppx_here

